%define builtin_release_version 5 
%define builtin_release_variant "8"
%define full_release_version %{builtin_release_version}.%{builtin_release_variant}
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif
Summary: Oracle Linux release file
Name: oraclelinux-release
Version: 5
Release: 8.0.2
License: GPL
Group: System Environment/Base

BuildRoot: %{_tmppath}/oraclelinux-release-root

%description
System release file


%build 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
echo "Oracle Linux Server release %{full_release_version}" > $RPM_BUILD_ROOT/etc/oracle-release




%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/oracle-release

%changelog
* Sat Feb 25 2012 Tianyue Lan <tianyue.lan@oracle.com> 5-8.0.2
- Update to OL 5.8

* Thu Dec 22 2011 Srinivas Maturi <srinivas.maturi@oracle.com> 5-8.0.1
- Update to OL 5.8 Beta

* Mon Jul 25 2011 Tianyue Lan <tianyue.lan@oracle.com> 5-7.0.2
- Update to OL 5.7

* Mon Jun 20 2011 Srinivas Maturi<srinivas.maturi@oracle.com> 5-7.0.1
- Update to OL 5.7 Beta

* Fri Jan 14 2011 Kevin Lyons<kevin.x.lyons@oracle.com> 5-6.0.1
- Update to OL 5.6

* Fri Dec 03 2010 Srinivas Maturi<srinivas.maturi@oracle.com> 5-5.0.3
- Update to OL 5.6beta

* Fri Sep 17 2010 Keshav Sharma<keshav.sharma@oracle.com> 5-5.0.2
- Updated the string in oracle-release file.

* Wed Sep 16 2010 Keshav Sharma<keshav.sharma@oracle.com> 5-5.0.1
- Created

